#include <stdio.h>

int main()
{
  
  int n,i,j,k;
  scanf("%d",&n);
  if(n<1)
  {
    printf("-1\n");
    return(-1);
  }
  
  for(i=1;i<n;i++)
  {
    printf(" ");
  }
  printf("*\n");
  for(i=1;i<n;i++)
  {
    for(j=1;j<n-i;j++)
      printf(" ");
    for(k=0;k<i;k++)
      printf("*A");
    printf("*\n");
  }
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  return 0;
}
